Loading...
Searching...
No Matches
color_rules.c File Reference

GIS Library - Color tables management subroutines. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for color_rules.c:

Go to the source code of this file.

## Functions

char * | G_color_rules_options (void)
| Get list of color rules for Option->options.
char * | G_color_rules_descriptions (void)
| Get color rules description for Option->descriptions.
char * | G_color_rules_description_type (void)
| Get color rules description for Option->descriptions.
void | G_list_color_rules (FILE *out)
| Print color rules.
void | G_list_color_rules_description_type (FILE *out, char *name)
| Print color rules with description and type.
int | G_find_color_rule (const char *name)
| Check if color rule is defined.

## Detailed Description

GIS Library - Color tables management subroutines.

Taken from r.colors module.

(C) 2001-2011 by the GRASS Development Team

Definition in file color_rules.c.

## Function Documentation

## G_color_rules_description_type()

char * G_color_rules_description_type | ( | void |  | ) |

Get color rules description for Option->descriptions.

The type of color rule including range is appended to the description

Returns
  allocated buffer with name, description, and type

Definition at line 124 of file color_rules.c.

References name.

Referenced by G_define_standard_option().

## G_color_rules_descriptions()

char * G_color_rules_descriptions | ( | void |  | ) |

Get color rules description for Option->descriptions.

Returns
  allocated buffer with descriptions

Definition at line 79 of file color_rules.c.

References name.

## G_color_rules_options()

char * G_color_rules_options | ( | void |  | ) |

Get list of color rules for Option->options.

Returns
  allocated string buffer with options

Definition at line 40 of file color_rules.c.

References list, name, and NULL.

Referenced by G_define_standard_option().

## G_find_color_rule()

int G_find_color_rule | ( | const char * | name | ) |

Check if color rule is defined.

Parameters

  name | color rule name

Returns
  1 found
  0 not found

Definition at line 246 of file color_rules.c.

References name, and NULL.

## G_list_color_rules()

void G_list_color_rules | ( | FILE * | out | ) |

Print color rules.

Parameters

  out | file where to print

Definition at line 175 of file color_rules.c.

References name.

## G_list_color_rules_description_type()

void G_list_color_rules_description_type | ( | FILE * | out,
|  | char * | name )

Print color rules with description and type.

The type of color rule including range is appended to the description. If a color rule name is given, color info is printed only for this rule.

Parameters

  name | optional color rule name, or NULL
  out | file where to print

Definition at line 198 of file color_rules.c.

References name, and NULL.